﻿// Aurigma Image Uploader 
// Norwegian Localization
// Copyright(c) Aurigma Inc. 2002-2007

var no_resources={addParams:function(iu){

//If you want to use Image Uploader with this language only,
//just copy these parameters to your code with Image Uploader.

//ImageUplaoderWriter properties
//[TRANSLATE]
iu.instructionsCommon="<p>Image Uploader ActiveX control is necessary to upload your files quickly and easily. You will be able to select multiple images in user-friendly interface instead of clumsy input fields with <strong>Browse</strong> button. Installation will take up to few minutes, please be patient. To install Image Uploader, ";
//[TRANSLATE]
iu.instructionsNotWinXPSP2="please reload the page and click the <strong>Yes</strong> button when you see the control installation dialog.";
//[TRANSLATE]
iu.instructionsWinXPSP2="please click on the <strong>Information Bar</strong> and select <strong>Install ActiveX Control</strong> from the dropdown menu. After page reload click <strong>Install</strong> when you see the control installation dialog.";
//[TRANSLATE]
iu.instructionsVista = "please click on the <strong>Information Bar</strong> and select <strong>Install ActiveX Control</strong> from the dropdown menu. After page reload click <strong>Continue</strong> and then <strong>Install</strong> when you see the control installation dialog.";
//[TRANSLATE]
iu.instructionsCommon2="</p><p><strong>NOTE:</strong> If control fails to be installed, it may mean that it has been inserted to the page incorrectly. Refer Image Uploader documentation for more details.</p>";

//ImageUploader properties
iu.addParam("AddFolderDialogButtonCancelText", "Avbryt");
iu.addParam("AddFolderDialogButtonSkipAllText", "Avbryt alle");
iu.addParam("AddFolderDialogButtonSkipText", "Hopp over");
iu.addParam("AddFolderDialogTitleText", "Legger til mappe...");
iu.addParam("AuthenticationRequestBasicText", "[Name] krever godkjenning.");
iu.addParam("AuthenticationRequestButtonCancelText", "Avbryt");
iu.addParam("AuthenticationRequestButtonOkText", "OK");
iu.addParam("AuthenticationRequestDomainText", "Domene:");
iu.addParam("AuthenticationRequestLoginText", "Logg inn:");
iu.addParam("AuthenticationRequestNtlmText", "[Name] krever godkjenning.");
iu.addParam("AuthenticationRequestPasswordText", "Passord:");
iu.addParam("ButtonAddAllToUploadListText", "Legg til alle");
iu.addParam("ButtonAddFilesText", "Legg til filer...");
iu.addParam("ButtonAddFoldersText", "Legg til mapper...");
iu.addParam("ButtonAddToUploadListText", "Legg til");
iu.addParam("ButtonAdvancedDetailsCancelText", "Avbryt");
iu.addParam("ButtonDeleteFilesText", ""); //"Slett filer"
//[REVIEW] - "Deselect All"
iu.addParam("ButtonDeselectAllText", "Fjern markering");
//[TRANSLATE]
iu.addParam("ButtonPasteText", ""); //"Paste"
iu.addParam("ButtonRemoveAllFromUploadListText", "Fjern alle");
iu.addParam("ButtonRemoveFromUploadListText", "Fjern");
//[REVIEW] - "Select All"
iu.addParam("ButtonSelectAllText", "Marker alle");
//[TRANSLATE]
iu.addParam("ButtonSendText", "Send");
iu.addParam("ButtonStopText", ""); //"Avbryt"
//[TRANSLATE]
iu.addParam("CmykImagesAreNotAllowedText", "File is CMYK");
iu.addParam("DescriptionEditorButtonCancelText", "Avbryt");
iu.addParam("DescriptionEditorButtonOkText", "OK");
iu.addParam("DimensionsAreTooLargeText", "Bildet er for stort");
iu.addParam("DimensionsAreTooSmallText", "Bildet er for lite");
//[REVIEW] - "Drop files here"
iu.addParam("DropFilesHereText", "Dra og slipp filer som skal lastes opp her");
iu.addParam("EditDescriptionText", "Rediger beskrivelse...");
//[REVIEW] - "File is too large"
iu.addParam("FileIsTooLargeText", "Filen er for stor.");
iu.addParam("FileIsTooSmallText", "Filen er for liten");
//[REVIEW] - "hours"
iu.addParam("HoursText", "timer");
iu.addParam("IncludeSubfoldersText", "Inkluder undermapper");
//[REVIEW] - "kilobytes"
iu.addParam("KilobytesText", "kilobyte");
//[TRANSLATE]
iu.addParam("LargePreviewGeneratingPreviewText", "Generating preview...");
//[TRANSLATE]
iu.addParam("LargePreviewIconTooltipText", "Preview Thumbnail");
//[TRANSLATE]
iu.addParam("LargePreviewNoPreviewAvailableText", "No preview available.");
//[REVIEW] - "Navn"
iu.addParam("ListColumnFileNameText", "Navn");
//[REVIEW] - "Størrelse"
iu.addParam("ListColumnFileSizeText", "Størrelse");
//[TRANSLATE]
iu.addParam("ListColumnFileTypeText", "Type");
//[REVIEW] - "Endret"
iu.addParam("ListColumnLastModifiedText", "Sist endret");
//[TRANSLATE]
iu.addParam("ListKilobytesText", "KB");
iu.addParam("LoadingFilesText", "Laster filer...");
//[REVIEW] - "megabytes"
iu.addParam("MegabytesText", "megabyte");
//[REVIEW] - "Add All to Upload List"
iu.addParam("MenuAddAllToUploadListText", "Legg til alle");
//[REVIEW] - "Add to Upload List"
iu.addParam("MenuAddToUploadListText", "Legg til");
iu.addParam("MenuArrangeByModifiedText", "Endret");
iu.addParam("MenuArrangeByNameText", "Navn");
iu.addParam("MenuArrangeByPathText", "Bane");
iu.addParam("MenuArrangeBySizeText", "Størrelse");
iu.addParam("MenuArrangeByText", "Arranger ikoner etter");
//[TRANSLATE]
iu.addParam("MenuArrangeByTypeText", "Type");
iu.addParam("MenuArrangeByUnsortedText", "Usoretert");
iu.addParam("MenuDeselectAllText", "Avmarker alle");
iu.addParam("MenuDetailsText", "Detaljert liste");
//[REVIEW] - "Icons"
iu.addParam("MenuIconsText", "Ikoner");
//[REVIEW] - "Invert Selection"
iu.addParam("MenuInvertSelectionText", "Inverter markering");
//[REVIEW] - "List"
iu.addParam("MenuListText", "Liste");
//[REVIEW] - "Refresh"
iu.addParam("MenuRefreshText", "Oppdater");
//[REVIEW] - "Remove All from Upload List"
iu.addParam("MenuRemoveAllFromUploadListText", "Fjern alle");
//[REVIEW] - "Remove from Upload List"
iu.addParam("MenuRemoveFromUploadListText", "Fjern");
//[REVIEW] - "Select All"
iu.addParam("MenuSelectAllText", "Marker alle");
//[REVIEW] - "Thumbnails"
iu.addParam("MenuThumbnailsText", "Miniatyrer");
iu.addParam("MessageBoxTitleText", "Image Uploader");
//[REVIEW] - "The attempt to connect to the Internet has failed."
iu.addParam("MessageCannotConnectToInternetText", "Kan ikke oppnå kontakt med serveren.");
//[TRANSLATE]
iu.addParam("MessageCmykImagesAreNotAllowedText", "CMYK images are not allowed");
iu.addParam("MessageDimensionsAreTooLargeText", "Bildet [Name] kan ikke velges. Bildets dimensjoner ([OriginalImageWidth]x[OriginalImageHeight]) er for store. Bildet må være mindre enn [MaxImageWidth]x[MaxImageHeight].");
iu.addParam("MessageDimensionsAreTooSmallText", "Bildet [Name] kan ikke velges. Bildets dimensjoner ([OriginalImageWidth]x[OriginalImageHeight]) er for små. Bildet må være større enn [MinImageWidth]x[MinImageHeight].");
iu.addParam("MessageFileSizeIsTooSmallText", "Filen [Name] kan ikke velges. Filens størrelse er mindre enn minimums grensen ([Limit] kb).");//Maksimalt antal filer er oppnådd.
iu.addParam("MessageMaxFileCountExceededText", "Filen [Name] kan ikke velges. Antallet overstiger maksimums grensen som er ([Limit] filer).");
iu.addParam("MessageMaxFileSizeExceededText", "Filen [Name] kan ikke velges. Størrelsen overstiger ([Limit] Kb).");//Maksimal samlet mengde filer er oppnådd.
iu.addParam("MessageMaxTotalFileSizeExceededText", "Filen [Name] kan ikke velges. Den totale opplastnings størrelse overstiger grensen på ([Limit] kb).");
//[REVIEW] - "No Internet session was established."
iu.addParam("MessageNoInternetSessionWasEstablishedText", "Det oppnås ikke kontakt med serveren via internet.");
//[REVIEW] - "No response from server."
iu.addParam("MessageNoResponseFromServerText", "Serveren svarer ikke.");
iu.addParam("MessageRedirectText", "Serveren forsøkte å videresede deg til \"[Name]\".");
iu.addParam("MessageRetryOpenFolderText", "Den forrige mappen er utilgjengelig. Det er mulig den var tilgjengelig på en ekstern lagringsplass. Forsøk å koble til den eksterne lagringsplassen på nytt og klikk på Forsøk på nytt eller klikk på Avbryt for å fortsette.");
iu.addParam("MessageServerNotFoundText", "Serveren eller proxy [Name] ble ikke funnet.");
iu.addParam("MessageSwitchAnotherFolderWarningText", "Du bytter nå mappe. Dette vil fjerne alle valgene dine.\n\nFor å fortsette og miste alle valgene klikk OK.\nFor å beholde valgene og bli værende i samme mappe, klikk Avbryt.");
iu.addParam("MessageUnexpectedErrorText", "Opplastningskomponenten støtte på noen problemer. Ta kontakt med web master hvis du ser denne melding.");
iu.addParam("MessageUploadCancelledText", "Opplasting avbrutt.");
iu.addParam("MessageUploadCompleteText", "Overføringen er ferdig!");
//[REVIEW] - "Upload failed (the connection was interrupted)."
iu.addParam("MessageUploadFailedText", "Opplasting misslyktes. (Kontakten med serveren ble avbrutt).");
iu.addParam("MessageUserSpecifiedTimeoutHasExpiredText", "Brukerdefinert timeout har utløpt.");
//[REVIEW] - "minutes"
iu.addParam("MinutesText", "minutter");
//[REVIEW] - "Avbryt"
iu.addParam("ProgressDialogCancelButtonText", "Avbryt");
//[REVIEW] - "Close"
iu.addParam("ProgressDialogCloseButtonText", "Lukk");
//[REVIEW] - "Close this dialog box when upload completes"
iu.addParam("ProgressDialogCloseWhenUploadCompletesText", "Avslutt når overføringen er ferdig.");
//[REVIEW] - "Estimated time: [Current] of [Total]"
iu.addParam("ProgressDialogEstimatedTimeText", "Beregnet gjenstående  tid:  [Current] av [Total]");
//[REVIEW] - "Preparing data..."
iu.addParam("ProgressDialogPreparingDataText", "Forbereder data...");
//[REVIEW] - "Sent: [Current] of [Total]"
iu.addParam("ProgressDialogSentText", "Byte sendt: [Current] av [Total]");
//[REVIEW] - "Upload Files"
iu.addParam("ProgressDialogTitleText", "Overfør Filer");
//[REVIEW] - "Waiting for response from server..."
iu.addParam("ProgressDialogWaitingForResponseFromServerText", "Venter på svar fra server...");
iu.addParam("ProgressDialogWaitingForRetryText", "Venter på nytt forsøk...");
iu.addParam("RemoveIconTooltipText", "Fjern");
iu.addParam("RotateIconClockwiseTooltipText", "Roter med klokken");
iu.addParam("RotateIconCounterClockwiseTooltipText", "Roter mot klokken");
//[REVIEW] - "seconds"
iu.addParam("SecondsText", "sekunder");
//[TRANSLATE]
iu.addParam("UnixFileSystemRootText", "Filesystem");
//[TRANSLATE]
iu.addParam("UnixHomeDirectoryText", "Home Folder");

}}