<%@ Language="VBScript" %>
<!--#include file="../config.asp"-->

<!--BEGIN-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Aurigma Image Uploader</title>
	<meta http-equiv="MSThemeCompatible" content="yes" />
	<link href="style.css" type="text/css" rel="stylesheet" />

	<script src="../iuembed.js" type="text/javascript"></script>

	<script type="text/javascript">
//<![CDATA[	
var imageUploader1 = null;

function formatFileSize(value){
	if (value < 1024){
		return value + " b";
	}
	else if (value < 1048576){
		return Math.round(value / 1024) + " kb";
	}
	else{
		return Math.round(value / 10485.76) / 100 + " mb";
	}
}

function fullPageLoad(){	
	imageUploader1=getImageUploader("ImageUploader1");
	document.getElementById("spanMaxFileCount").innerHTML = imageUploader1.getMaxFileCount();
	document.getElementById("spanMaxTotalFileSize").innerHTML = formatFileSize(parseInt(imageUploader1.getMaxTotalFileSize()));
}

function ImageUploader_UploadFileCountChange(){
	if (imageUploader1){	
		document.getElementById("spanUploadFileCount").innerHTML = parseInt(imageUploader1.getUploadFileCount());
		var imgWidth = parseInt(imageUploader1.getUploadFileCount()) / parseInt(imageUploader1.getMaxFileCount()) * 132;	
		document.getElementById("imgUploadFileCount").style.width = Math.round(imgWidth) + "px";

		document.getElementById("spanTotalFileSize").innerHTML = formatFileSize(parseInt(imageUploader1.getTotalFileSize()));
		imgWidth = parseInt(imageUploader1.getTotalFileSize()) / parseInt(imageUploader1.getMaxTotalFileSize()) * 132;
		document.getElementById("imgTotalFileSize").style.width = Math.round(imgWidth) + "px";
	}
}

function ImageUploader_ViewChange(){
	if (imageUploader1){
		document.getElementById("selectView").selectedIndex = parseInt(imageUploader1.getFolderView());
	}
}

function selectView_change(){
	if (imageUploader1){
		var selectView = document.getElementById("selectView");
		imageUploader1.setFolderView(parseInt(selectView.options[selectView.selectedIndex].value));
	}
}
//]]>
	</script>

</head>
<body>
	<p>
		This demo application illustrates how you can use extend functionality of Image
		Uploader through HTML and JavaScript. It demonstrates how to set and display upload
		restrictions (maximum file count and size). It does not allow to upload more than
		10 files and 5MB (can be configured in the code).
	</p>
	<p>
		Additionally, this application highlights the following features:
	</p>
	<ul>
		<li>Extended appearance customization.</li>
		<li>Automatic recovery of broken connection.</li>
		<li>Custom buttons in HTML.</li>
		<li>Upload thumbnail along with a source file.</li>
	</ul>
	<fieldset>
		<legend>Note</legend>This demo application <strong>deletes all previously uploaded files</strong>.
		Keep in mind that it is a feature of this demo, not of Image Uploader itself. If
		you <strong>do not want to delete uploaded files</strong>, you should modify the
		upload processing page specified by the <strong>Action</strong> parameter.
	</fieldset>
	<table cellspacing="0" cellpadding="0" width="760" border="0">
		<tbody>
			<tr>
				<td colspan="2">
					<table cellspacing="0" cellpadding="0" border="0" class="Toolbar">
						<tbody>
							<tr>
								<td class="Left">
								</td>
								<td class="Panel">
									<table cellspacing="0" border="0">
										<tbody>
											<tr>
												<td>
													<a href="#" onclick="imageUploader1.SelectAll();return false;">
														<img class="Icon" src="Images/SelectAllSmall.gif" alt="Select All" />&nbsp;Select&nbsp;All
													</a>
												</td>
												<td>
													<a href="#" onclick="imageUploader1.DeselectAll();return false;">
														<img class="Icon" src="Images/DeselectAllSmall.gif" alt="Deselect All" />&nbsp;Deselect&nbsp;All
													</a>
												</td>
												<td>
													<a href="#" onclick="imageUploader1.Send();return false;">
														<img class="Icon" src="Images/SendSmall.gif" alt="Upload" />&nbsp;Upload </a>
												</td>
												<td>
													<img class="Separator" src="Images/ToolbarSeparator.gif" alt="" />
												</td>
												<td>
													<a href="#" onclick="imageUploader1.Refresh();return false;">
														<img class="Icon" src="Images/RefreshSmall.gif" alt="Refresh" />&nbsp;Refresh </a>
												</td>
												<td>
													<img class="Separator" src="Images/ToolbarSeparator.gif" alt="" />
												</td>
												<td>
													<select id="selectView" onchange="selectView_change();">
														<option value="0" selected="selected">Thumbnails</option>
														<option value="1">Icons</option>
														<option value="2">List</option>
														<option value="3">Details</option>
													</select>
												</td>
											</tr>
										</tbody>
									</table>
								</td>
								<td class="Right">
								</td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr>
				<td class="MainPanel">

					<script type="text/javascript">
//<![CDATA[
//Create JavaScript object that will embed Image Uploader to the page.
var iu = new ImageUploaderWriter("ImageUploader1", 610, 490);

//For ActiveX control full path to CAB file (including file name) should be specified.
iu.activeXControlCodeBase = "../ImageUploader5.cab";
iu.activeXControlVersion = "5,0,41,0";

//For Java applet only path to directory with JAR files should be specified (without file name).
iu.javaAppletJarFileName = "ImageUploader5.jar";
iu.javaAppletCodeBase = "../";
iu.javaAppletCached = true;
iu.javaAppletVersion = "5.0.41.0";

iu.showNonemptyResponse = "off";

//Configure License Keys
iu.addParam("LicenseKey", "71050-49A8A-00000-08302-413E7;72050-49A8A-00000-076AD-199A9");

//Configure appearance and behaviour.
iu.addParam("PaneLayout", "TwoPanes");
iu.addParam("TreePaneWidth", "205");
iu.addParam("ShowButtons", "False");
iu.addParam("ShowDebugWindow", "true");

//Configure colors.
iu.addParam("BackgroundColor", "#ffffff");
iu.addParam("SplitterLineColor", "#0066cc");

//Configure border and splitter line style.
iu.addParam("FolderPaneBorderStyle", "None");
iu.addParam("UploadPaneBorderStyle", "None");
iu.addParam("TreePaneBorderStyle", "None");
iu.addParam("SplitterLineStyle", "Dot"); //NOT SUPPORTED IN JAVA

//Configure thumbnail settings.
iu.addParam("UploadThumbnail1FitMode", "Fit");
iu.addParam("UploadThumbnail1Width", "120");
iu.addParam("UploadThumbnail1Height", "120");
iu.addParam("UploadThumbnail1JpegQuality", "60");

//Configure user quota restriction. In real-life application these values should be 
//loaded from server.
iu.addParam("MaxFileCount", "10");
iu.addParam("MaxTotalFileSize", "5242880");

//Configure upload settings.
iu.addParam("FilesPerOnePackageCount", "1");
iu.addParam("AutoRecoverMaxTriesCount", "10");
iu.addParam("AutoRecoverTimeOut", "10000");

//Configure URL files are uploaded to.
iu.addParam("Action", "<%=GetUploadUrl()%>");

//Configure URL where to redirect after upload.
iu.addParam("RedirectUrl", "<%=GetGalleryUrl()%>");

//Add event handlers.
iu.addEventListener("UploadFileCountChange", "ImageUploader_UploadFileCountChange");
iu.addEventListener("ViewChange", "ImageUploader_ViewChange");
iu.fullPageLoadListenerName = "fullPageLoad";

//Tell Image Uploader writer object to generate all necessary HTML code to embed 
//Image Uploader to the page.
iu.writeHtml();
//]]>
					</script>

				</td>
				<td class="QuotaPanel" valign="top">
					<table cellspacing="0" cellpadding="0" width="100%" border="0" class="Toolbar">
						<tbody>
							<tr>
								<td class="Left">
								</td>
								<td class="Panel">
									<span class="Header">User&nbsp;Quota</span>
								</td>
								<td class="Right">
								</td>
							</tr>
						</tbody>
					</table>
					<div class="Info">
						Select up to <strong><span id="spanMaxFileCount">x</span></strong> files for upload.
						<br />
						<br />
						<strong><span id="spanUploadFileCount">0</span></strong>&nbsp;files are selected.
						<br />
						<table cellspacing="0" cellpadding="0" border="0" class="Progress">
							<tbody>
								<tr>
									<td class="Left">
									</td>
									<td class="Panel">
										<img id="imgUploadFileCount" src="Images/ProgressGreen.gif" alt="" class="Value" /></td>
									<td class="Right">
									</td>
								</tr>
							</tbody>
						</table>
						<br />
						<br />
						The total file size should be smaller then <strong><span id="spanMaxTotalFileSize">x</span></strong>.
						<br />
						<br />
						Total size os selected files is <strong><span id="spanTotalFileSize">0</span></strong>.
						<br />
						<table cellspacing="0" cellpadding="0" border="0" class="Progress">
							<tbody>
								<tr>
									<td class="Left">
									</td>
									<td class="Panel">
										<img id="imgTotalFileSize" src="Images/ProgressGreen.gif" alt="" class="Value" /></td>
									<td class="Right">
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</body>
</html>
<!--END-->