<?php
//This variable specifies relative path to the folder, where the gallery with uploaded files is located.
//Do not forget about the slash in the end of the folder name.
$galleryPath = "../Gallery/";

$absGalleryPath = realpath($galleryPath) . "/";

$descriptions = new DOMDocument('1.0');
$descriptions->load($absGalleryPath . "Descriptions.xml");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Aurigma Image Uploader - Uploaded Files</title>
	<link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body>
	<p>
		<a href="index.php">Upload New Files</a>
	</p>
<?php
$totalSourceFileSize = intval($descriptions->documentElement->getAttribute("totalSourceFileSize"));
$totalUploadedFileSize = intval($descriptions->documentElement->getAttribute("totalUploadedFileSize"));
		
if ($totalSourceFileSize > $totalUploadedFileSize)
{
	$totalUploadedFileSizeColor = "blue";
}
else
{
	$totalUploadedFileSizeColor = "red";		
}
?>


	<p>Total source file size: <strong><?php echo $totalSourceFileSize ?> kb</strong><br />
	Total uploaded file size: <strong><span style="color:<?php echo $totalUploadedFileSizeColor ?>"><?php echo $totalUploadedFileSize ?></span> kb</strong><br />
	</p>

	<table width="100%">
<?php
$colCount = 4;

for ($i = 0; $i < $descriptions->documentElement->childNodes->length; $i++)
{
	$xmlFile = $descriptions->documentElement->childNodes->item($i);
				
	if ($i % $colCount == 0)
	{
?>
		<tr>
<?php
	}
	$fileName = rawurlencode($xmlFile->getAttribute("name"));
?>		
			<td>
				<a href="<?php echo $galleryPath . $fileName;?>" target="_blank">
				<img src="<?php echo $galleryPath . "Thumbnails/" . $fileName . ".jpg";?>" alt="<?php echo htmlentities($xmlFile->getAttribute("name"));?>" />
				</a>
				<br />
				<br />
				<b>Name:</b>
					<?php echo htmlentities($xmlFile->getAttribute("name"));?>
				<br />
				<b>Dimensions:</b>
					<?php echo htmlentities($xmlFile->getAttribute("width"));?>
				x
					<?php echo htmlentities($xmlFile->getAttribute("height"));?>
			</td>
<?php
	if (( ( $i + 1 ) % $colCount == 0 ) or ( $i == $descriptions->documentElement->childNodes->length - 1))
	{
?>
		</tr>
<?php
	}
}
?>
	</table>
</body>
</html>