﻿// Aurigma Image Uploader 
// English Localization
// Copyright(c) Aurigma Inc. 2002-2007

var en_resources={addParams:function(iu){

//If you want to use Image Uploader with this language only,
//just copy these parameters to your code with Image Uploader.

//ImageUplaoderWriter properties
iu.instructionsCommon="<p>Image Uploader ActiveX control is necessary to upload your files quickly and easily. You will be able to select multiple images in user-friendly interface instead of clumsy input fields with <strong>Browse</strong> button. Installation will take up to few minutes, please be patient. To install Image Uploader, ";
iu.instructionsNotWinXPSP2="please reload the page and click the <strong>Yes</strong> button when you see the control installation dialog.";
iu.instructionsWinXPSP2="please click on the <strong>Information Bar</strong> and select <strong>Install ActiveX Control</strong> from the dropdown menu. After page reload click <strong>Install</strong> when you see the control installation dialog.";
iu.instructionsVista = "please click on the <strong>Information Bar</strong> and select <strong>Install ActiveX Control</strong> from the dropdown menu. After page reload click <strong>Continue</strong> and then <strong>Install</strong> when you see the control installation dialog.";
iu.instructionsCommon2="</p><p><strong>NOTE:</strong> If control fails to be installed, it may mean that it has been inserted to the page incorrectly. Refer Image Uploader documentation for more details.</p>";

//ImageUploader properties
iu.addParam("AddFolderDialogButtonCancelText", "Cancel");
iu.addParam("AddFolderDialogButtonSkipAllText", "Skip All");
iu.addParam("AddFolderDialogButtonSkipText", "Skip");
iu.addParam("AddFolderDialogTitleText", "Adding folder...");
iu.addParam("AuthenticationRequestBasicText", "[Name] requires authentication.");
iu.addParam("AuthenticationRequestButtonCancelText", "Cancel");
iu.addParam("AuthenticationRequestButtonOkText", "OK");
iu.addParam("AuthenticationRequestDomainText", "Domain:");
iu.addParam("AuthenticationRequestLoginText", "Login:");
iu.addParam("AuthenticationRequestNtlmText", "[Name] requires authentication.");
iu.addParam("AuthenticationRequestPasswordText", "Password:");
iu.addParam("ButtonAddAllToUploadListText", "Add All");
iu.addParam("ButtonAddFilesText", "Add Files...");
iu.addParam("ButtonAddFoldersText", "Add Folders...");
iu.addParam("ButtonAddToUploadListText", "Add");
iu.addParam("ButtonAdvancedDetailsCancelText", "Cancel");
iu.addParam("ButtonDeleteFilesText", ""); //"Delete Files"
iu.addParam("ButtonDeselectAllText", "Deselect All");
iu.addParam("ButtonPasteText", ""); //"Paste"
iu.addParam("ButtonRemoveAllFromUploadListText", "Remove All");
iu.addParam("ButtonRemoveFromUploadListText", "Remove");
iu.addParam("ButtonSelectAllText", "Select All");
iu.addParam("ButtonSendText", "Send");
iu.addParam("ButtonStopText", "");
iu.addParam("CmykImagesAreNotAllowedText", "File is CMYK");
iu.addParam("DescriptionEditorButtonCancelText", "Cancel");
iu.addParam("DescriptionEditorButtonOkText", "OK");
iu.addParam("DimensionsAreTooLargeText", "Image is too large");
iu.addParam("DimensionsAreTooSmallText", "Image is too small");
iu.addParam("DropFilesHereText", "Drop files here");
iu.addParam("EditDescriptionText", "Edit description...");
iu.addParam("FileIsTooLargeText", "File is too large");
iu.addParam("FileIsTooSmallText", "File is too small");
iu.addParam("HoursText", "hours");
iu.addParam("IncludeSubfoldersText", "Include subfolders");
iu.addParam("KilobytesText", "kilobytes");
iu.addParam("LargePreviewGeneratingPreviewText", "Generating preview...");
iu.addParam("LargePreviewIconTooltipText", "Preview Thumbnail");
iu.addParam("LargePreviewNoPreviewAvailableText", "No preview available.");
iu.addParam("ListColumnFileNameText", "Name");
iu.addParam("ListColumnFileSizeText", "Size");
iu.addParam("ListColumnFileTypeText", "Type");
iu.addParam("ListColumnLastModifiedText", "Modified");
iu.addParam("ListKilobytesText", "KB");
iu.addParam("LoadingFilesText", "Loading files...");
iu.addParam("MegabytesText", "megabytes");
iu.addParam("MenuAddAllToUploadListText", "Add All to Upload List");
iu.addParam("MenuAddToUploadListText", "Add to Upload List");
iu.addParam("MenuArrangeByModifiedText", "Modified");
iu.addParam("MenuArrangeByNameText", "Name");
iu.addParam("MenuArrangeByPathText", "Path");
iu.addParam("MenuArrangeBySizeText", "Size");
iu.addParam("MenuArrangeByText", "Arrange Icons By");
iu.addParam("MenuArrangeByTypeText", "Type");
iu.addParam("MenuArrangeByUnsortedText", "Unsorted");
iu.addParam("MenuDeselectAllText", "Deselect All");
iu.addParam("MenuDetailsText", "Details");
iu.addParam("MenuIconsText", "Icons");
iu.addParam("MenuInvertSelectionText", "Invert Selection");
iu.addParam("MenuListText", "List");
iu.addParam("MenuRefreshText", "Refresh");
iu.addParam("MenuRemoveAllFromUploadListText", "Remove All from Upload List");
iu.addParam("MenuRemoveFromUploadListText", "Remove from Upload List");
iu.addParam("MenuSelectAllText", "Select All");
iu.addParam("MenuThumbnailsText", "Thumbnails");
iu.addParam("MessageBoxTitleText", "Image Uploader");
iu.addParam("MessageCannotConnectToInternetText", "The attempt to connect to the Internet has failed.");
iu.addParam("MessageCmykImagesAreNotAllowedText", "CMYK images are not allowed");
iu.addParam("MessageDimensionsAreTooLargeText", "The image [Name] cannot be selected. This image dimensions ([OriginalImageWidth]x[OriginalImageHeight]) are too large. The image should be smaller than [MaxImageWidth]x[MaxImageHeight].");
iu.addParam("MessageDimensionsAreTooSmallText", "The image [Name] cannot be selected. This image dimensions ([OriginalImageWidth]x[OriginalImageHeight]) are too small. The image should be larger than [MinImageWidth]x[MinImageHeight].");
iu.addParam("MessageFileSizeIsTooSmallText", "The file [Name] cannot be selected. This file size is smaller than the limit ([Limit] KB).");
iu.addParam("MessageMaxFileCountExceededText", "The file [Name] cannot be selected. Amount of files exceeds the limit ([Limit] files).");
iu.addParam("MessageMaxFileSizeExceededText", "The file [Name] cannot be selected. This file size exceeds the limit ([Limit] KB).");
iu.addParam("MessageMaxTotalFileSizeExceededText", "The file [Name] cannot be selected. Total upload data size exceeds the limit ([Limit] KB).");
iu.addParam("MessageNoInternetSessionWasEstablishedText", "No Internet session was established.");
iu.addParam("MessageNoResponseFromServerText", "No response from server.");
iu.addParam("MessageRedirectText", "The server attempted to redirect you, but server redirects are not supported.");
iu.addParam("MessageRetryOpenFolderText", "Last visited folder is not available. It is possible it is located on a removable media. Insert the media and click Retry button or click Cancel button to continue.");
iu.addParam("MessageServerNotFoundText", "The server or proxy [Name] not found.");
iu.addParam("MessageSwitchAnotherFolderWarningText", "You are about to switch to another folder. This will discard selection from selected files.\n\nTo proceed and lose selection click OK.\nTo keep the selection and stay in the current folder, click Cancel.");
iu.addParam("MessageUnexpectedErrorText", "Image Uploader encountered some problem. If you see this message, contact web master.");
iu.addParam("MessageUploadCancelledText", "Upload is cancelled.");
iu.addParam("MessageUploadCompleteText", "Upload complete.");
iu.addParam("MessageUploadFailedText", "Upload failed (the connection was interrupted).");
iu.addParam("MessageUserSpecifiedTimeoutHasExpiredText", "User-specified timeout has expired.");
iu.addParam("MinutesText", "minutes");
iu.addParam("ProgressDialogCancelButtonText", "Cancel");
iu.addParam("ProgressDialogCloseButtonText", "Close");
iu.addParam("ProgressDialogCloseWhenUploadCompletesText", "Close this dialog box when upload completes");
iu.addParam("ProgressDialogEstimatedTimeText", "Estimated time: [Current] of [Total]");
iu.addParam("ProgressDialogPreparingDataText", "Preparing data...");
iu.addParam("ProgressDialogSentText", "Sent: [Current] of [Total]");
iu.addParam("ProgressDialogTitleText", "Upload Files");
iu.addParam("ProgressDialogWaitingForResponseFromServerText", "Waiting for response from server...");
iu.addParam("ProgressDialogWaitingForRetryText", "Waiting for retry...");
iu.addParam("RemoveIconTooltipText", "Remove");
iu.addParam("RotateIconClockwiseTooltipText", "Rotate Clockwise");
iu.addParam("RotateIconCounterclockwiseTooltipText", "Rotate Counterclockwise");
iu.addParam("SecondsText", "seconds");
iu.addParam("UnixFileSystemRootText", "Filesystem");
iu.addParam("UnixHomeDirectoryText", "Home Folder");

}}